.flex {
    width: 100%;
    display: flex;

    &--v-center{
        align-items: center;
    }

    &--v-bottom{
        align-items: flex-end;
    }

    &--h-center{
        justify-content: center;
    }

    &--d-column {
        flex-direction: column;
    }

    &--middle {
        @extend .flex,
                .flex--v-center,
                .flex--h-center;
    }
}